# QN8066 Arduino Library Examples 

This directory presents some examples with the transceiver QN8066 

There is a Facebook group called [QN80XX FM Transmitters & Receivers Enthusiasts](https://www.facebook.com/groups/qn80xx)  where the purpose is exchanging experiences with projects based on Quintic QN80XX IC family. You will be welcome there.

## IMPORTANT

__This project centers around a library designed to control QN8066 devices using the Arduino platform, with a primary focus on the "QN8066 Arduino Library" and its functionalities. The idea of this library is to offer users an abstraction layer for operating the QN8066 device. It is not the focus of the project author to address user interface issues. Therefore, please refrain from asking for assistance with displays, encoders, buttons, or any other components outside the scope of the "QN8066 Arduino Library." Thank you.__



## Notice to Users Regarding Examples and this library

The examples shown in this library use **106.9 MHz** as the test frequency. Consider changing this frequency to another of your preference. Be aware that the use of FM transmitters is regulated by the laws and regulations of each country. **It is crucial to ensure that your use of any FM transmitter complies with the applicable legal requirements and does not violate any broadcasting regulations**.


This library is still in its initial version. Although the implemented functions have been tested with the examples, it is possible that in some situations it may present issues or not respond as expected. Therefore, I ask users to contact me (pu2clr@gmail.com) to report any problems. I will do my best to resolve or clarify the issue as quickly as possible. Thank you.



## Documentation 

[See Arduino Library Documentation](https://pu2clr.github.io/QN8066/extras/apidoc/html/index.html)


## Donate 

If you find this project useful, consider making a donation so that the author of this library can purchase components and modules for improvements and testing of this library. [Click here to donate](https://www.paypal.com/donate/?business=LLV4PHKTXC4JW&no_recurring=0&item_name=Consider+making+a+donation.+So%2C+I+can+purchase+components+and+modules+for+improvements+and+testing+of+this+library.&currency_code=USD) or use the QR code below.


![Donate](../extras/images/QR_Code.png) 